<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\MapurlModel;

class MapurlEntity extends CommonEntity
{
    public function __toString(): string
    {
        return "{$this->getPK()}:{$this->getTitle()}}";
    }
    public function getPK(): int
    {
        return $this->attributes[MapurlModel::PK];
    }
    public function getTitle(): string
    {
        return $this->attributes[MapurlModel::TITLE];
    }
    public function setTitle(string $title): void
    {
        $this->attributes[MapurlModel::TITLE] = $title;
    }
    //Common Function
}
